IBM Support

Security Bulletin: IBM i has released PTFs in response to the vulnerabilities known as Spectre and Meltdown.

Security Bulletin


Summary

IBM has released the following IBM i PTFs in response to CVE-2017-5753, CVE-2017-5715, CVE-2017-5754 and CVE-2018-3639.

This security bulletin has been updated, on September 14, 2018, as additional IBM i PTFs are now available to mitigate the Spectre and Meltdown vulnerabilities.

Vulnerability Details

CVEID: CVE-2017-5753
CVEID: CVE-2017-5715
CVEID: CVE-2017-5754

CVEID: CVE-2018-3639

Affected Products and Versions

PTFs are available for releases 7.1, 7.2 and 7.3 of the IBM i operating system.

Remediation/Fixes

See Workarounds and Mitigations below.

Workarounds and Mitigations

Releases 7.1, 7.2 and 7.3 of the IBM i operating system are supported and the vulnerabilities associated with the applicable CVEs will be mitigated by applying all of the applicable PTFs listed below.

The IBM i PTFs listed in this Security Bulletin can be loaded and applied independently of the Power FW fixes that have been created to address the Spectre and Meltdown vulnerabilities. Both the IBM i and Power Firmware fixes are required to mitigate the vulnerabilities. If the IBM i PTFs are applied before the Power Firmware fixes, then mitigations for the IBM i LPAR may not become effective until Power Firmware fixes are applied and an Initial Program Load (IPL) or Live Partition Mobility (LPM) operation for the IBM i LPAR is completed.

Note: Please review the Power Firmware Security bulletin available via the link provided for information related to recently released Power Firmware fixes required to mitigate the vulnerabilities.

Link to the related Power Firmware Security Bulletin and fix information:
http://www-01.ibm.com/support/docview.wss?uid=isg3T1026811

The IBM i PTF numbers that address the Spectre and Meltdown vulnerabilities are:

PTFs released on September 14, 2018

NOTE:  Please read the special instruction section of each September 14, 2018 PTF for the PTF activation details.

The PTFs released on September 14, 2018, in combination with the Power Firmware fixes, are required to mitigate the vulnerabilities on all hardware models that run the IBM i operating system.

Release 7.1 - MF65252, MF65226, MF65182, MF65181, SI67984, MF65254, SI68188, SI67923, MF65231, MF65055, MF65289
Release 7.2 - MF65247, MF65221, MF65169, MF65010, SI67955, MF65253, SI68187, SI67922, MF65232, MF65054, MF65290
Release 7.3 - MF64591, MF64931, MF65000, MF64997, SI67600, MF65227, SI68145, SI67897, MF65234, MF65053, MF65291

Some of the IBM i PTFs listed above pre-req these Technology Refresh (TR) PTFs:
7.1 – MF99011
7.2 – MF99108
7.3 – MF99204

PTFs released on May 22, 2018

The PTFs released on May 22, 2018, in combination with the Power Firmware fixes, are required to mitigate the vulnerabilities on all hardware models that run the IBM i operating system.

Release 7.1 - MF64991, MF64992, MF64993, MF64994, MF65001
Release 7.2 - MF64985, MF64988, MF64989, MF64990, MF65002
Release 7.3 - MF64984, MF64986, MF64987, MF64995, MF65004

The IBM i PTFs listed above pre-req these Technology Refresh (TR) PTFs:

7.1 – MF99011
7.2 – MF99108
7.3 – MF99204

PTFs released on February 22, 2018

The PTFs released on February 22, 2018, in combination with the recent Power Firmware fixes, are required to mitigate the vulnerabilities on all POWER7 and POWER7+ hardware models that run the IBM i operating system. The PTFs can be loaded on all other Power hardware models but they are not required to mitigate the vulnerabilities.

Release 7.1 - MF64698, MF64699
Release 7.2 - MF64696, MF64697
Release 7.3 - MF64694, MF64695

The IBM i PTFs listed above pre-req these Technology Refresh (TR) PTFs:

7.1 – MF99011
7.2 – MF99108
7.3 – MF99204

PTFs released on February 8, 2018

Note: Please review the Power Firmware Security bulletin available via the link provided for information related to recently released Power Firmware fixes required to mitigate the vulnerabilities.

The IBM i PTFs released on February 8, 2018, in combination with the recent Power Firmware fixes, are required to mitigate vulnerabilities on all Power 7, Power 7+, and Power 8 hardware models that run the IBM i operating system.

Release 7.1 - MF64599, MF64602, MF64603, MF64604, MF64609, MF64612, MF64615, MF64616, MF64617, MF64618, MF64619, MF64620

Release 7.2 - MF64598, MF64601, MF64607, MF64611, MF64614

Release 7.3 - MF64597, MF64600, MF64605, MF64610, MF64613

The IBM i PTFs listed above pre-req these Technology Refresh (TR) PTFs:

7.1 – MF99011
7.2 – MF99108
7.3 – MF99204

PTFs released on January 26, 2018

The PTFs released on January 26, 2018 are required to mitigate the vulnerabilities on all Power 8 hardware models that run the IBM i operating system. The PTFs can be loaded on all other Power HW models but they are not required to mitigate the vulnerabilities. Additional PTFs addressing other hardware models will be released as they become available.

Release 7.1 – MF64571
Release 7.2 – MF64565
Release 7.3 – MF64568

PTFs released on January 10, 2018

Release 7.1 – MF64553
Release 7.2 – MF64552
Release 7.3 – MF64551

Important note: IBM recommends that all users running unsupported versions of affected products upgrade to supported and fixed version of affected products.

Get Notified about Future Security Bulletins

Reference

Complete CVSS v2 Guide
On-line Calculator v2

Complete CVSS v3 Guide
On-line Calculator v3

Related Information

IBM Secure Engineering Web Portal
IBM Product Security Incident Response Blog

*The CVSS Environment Score is customer environment specific and will ultimately impact the Overall CVSS Score. Customers can evaluate the impact of this vulnerability in their environments by accessing the links in the Reference section of this Security Bulletin.

Disclaimer

According to the Forum of Incident Response and Security Teams (FIRST), the Common Vulnerability Scoring System (CVSS) is an "industry open standard designed to convey vulnerability severity and help to determine urgency and priority of response." IBM PROVIDES THE CVSS SCORES ""AS IS"" WITHOUT WARRANTY OF ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT OF ANY ACTUAL OR POTENTIAL SECURITY VULNERABILITY.


Cross reference information
Product Component Platform Version Edition
IBM i 7.1
IBM i 7.2
IBM i 7.3

Document information

More support for: IBM i

Software version: 7.1, 7.2, 7.3

Operating system(s): IBM i

Reference #: N1022433

Modified date: 14 September 2018


Translate this page: